/* reset code */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1.22;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
/* */

html {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;

  background-color: #19191c;
  color: #e2e8f0;
}

.main-buttons-3 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  text-align: center;
  align-items: center;
}

.main-buttons-2 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  text-align: center;
  align-items: center;
}


.centered {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.wide-content {
  width: 1200px;
  margin: 0 8px;
}

.content {
  width: 900px;
  margin: 0 8px;
}

.short-content {
  width: 600px;
  margin: 0 8px;
}

.text-center {
  text-align: center;
}

.two-columns {
  display: grid;
  align-items: center;
  gap: 64px;
  grid-template-areas: "left right";
}

.column-left {
  grid-area: left;
}

.column-right {
  grid-area: right;
}

.in-row {
  display: flex;
  flex-direction: column;
}

.in-column {
  display: flex;
  flex-direction: row;
}

.space-around {
  justify-content: space-around;
}

.flex-gap-128 { gap: 128px; }
.flex-gap-64 { gap: 64px; }
.flex-gap-32 { gap: 32px; }
.flex-gap-16 { gap: 16px; }
.flex-gap-8 { gap: 8px; }

.gap-128 { height: 128px; }
.gap-64 { height: 64px; }
.gap-32 { height: 32px; }
.gap-16 { height: 16px; }

a {
  color: #cbcacf;
  text-decoration: none;

  transition: color 200ms;
}

a:hover {
  color: #fefefe;
}

.btn {
  border: none;
  padding: 16px 16px;
  border-radius: 8px;

  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight32600;
  font-style: normal;

  background-color: #3b3b3d;
  color: #fefefe;

  text-decoration: none;

  font-size: initial;

  filter: brightness(1);
  transition: filter 200ms;
}

.btn:hover {
  cursor: pointer;
  filter: brightness(1.2);
}

.glow {
  box-shadow: 0px 4px 20px 0px #4034a9;
}

.shadow {
  box-shadow: 0px 10px 20px 0px #0000008c;
}


.text-glow  {
  text-shadow: 0px 0px 10px #ffffff54;
}

h1 {
  font-size: 5em;
  margin: 0;
}

h2 {
  font-size: 4em;
}

h3 {
  font-size: 2em;
  margin-bottom: 32px;
}

p {
  margin-bottom: 16px;
}

.header {
  padding: 32px 10%;
  background-color: #141416;
  height: 32px;
  display: flex;
  gap: 24px;
  align-items: center;
  position: sticky;
  top: 0;
  z-index: 1000;
}

.footer {
  padding: 32px 2%;
  background-color: #121212;
  opacity: .5;
  font-size: .9em;
}

.buy-box {
  display: flex;
  flex-direction: column;
  background: #4034a9;
  border-radius: 16px;
  padding: 32px;
  align-items: center;
  font-size: 1.5em;
  width: 200px;
  margin-left: auto;
  margin-right: auto;
}


@media (max-width: 1280px) {      
  video, img {
    max-width: 100%;
  }
}

@media (max-width: 1200px) {      
  .wide-content {
    width: unset;
  }

}

@media (max-width: 900px) {
  h1 {
    font-size: 4em;
  }

  h2 {
    font-size: 3em;
  }

  .content {
    width: unset;
  }

  .two-columns {
    display: flex;
    flex-direction: column;
  }

  .short-content {
    width: unset;
  }

  .flex-gap-128 { gap: 64px; }
  .flex-gap-64 { gap: 32px; }
  .flex-gap-32 { gap: 16px; }
  .flex-gap-16 { gap: 8px; }
  .flex-gap-8 { gap: 4px; }

  .gap-128 { height: 64px; }
  .gap-64 { height: 32px; }
  .gap-32 { height: 16px; }
  .gap-16 { height: 8px; }

}

@media (max-width: 500px) {
  .logo {
    content: url("assets/logo.png");
  } 

  h1 {
    font-size: 3em;
  }

  h2 {
    font-size: 2em;
  }

  h3 {
    font-size: 1.5em;
    margin-bottom: 16px;
  }

  p {
    margin-bottom: 8px;
  }

  .footer .in-column {
    flex-direction: column;
  }

}
